"use strict";

exports.__esModule = true;
exports.default = dereference;
function dereference(parent, childReference, state) {
  if (childReference === undefined) return undefined;

  var _childReference$refer = childReference.reference.split('#');

  var key = _childReference$refer[0];
  var list = _childReference$refer[1];

  var node = void 0;
  if (list === "next") {
    var i = state.list[key] || 0;
    node = parent[key][i];
    state.list[key] = i + 1;
  } else {
    node = parent[key];
  }
  return node;
}