"use strict";

exports.__esModule = true;
exports.startTarget = startTarget;
exports.startOf = startOf;
exports.startLocOf = startLocOf;
exports.tokenStartOf = tokenStartOf;
function startTarget(node) {
  if (node.type === "ClassMethod" || node.type === "ObjectMethod" || node.type === "ObjectProperty" || node.type === "ClassDeclaration" || node.type === "ClassExpression" || false) {
    if (node.decorators != null && node.decorators.length > 0) {
      return node.decorators[0];
    }
  }
  return node;
}

function startOf(node) {
  return startTarget(node).start;
}
function startLocOf(node) {
  return startTarget(node).loc.start;
}
function tokenStartOf(node) {
  return startTarget(node).tokenStart;
}